# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Texture::SetupParams Class Reference

The SetupParams function wraps all the parameters neede to crate a Texture. More...

`#include <Texture.hpp>`

Inheritance diagram for vl::Texture::SetupParams:

List of all members.

## Public Member Functions

| SetupParams ()
const String & | imagePath () const
Image * | image () const
ETextureDimension | dimension () const
ETextureFormat | format () const
bool | border () const
bool | hasMipmaps () const
void | setImagePath (const String &path)
void | setImage (Image *image)
void | setDimension (ETextureDimension dimension)
void | setFormat (ETextureFormat format)
void | setBorder (bool on)
void | setHasMipmaps (bool on)

## Protected Attributes

String | mImagePath
ref< Image > | mImage
ETextureDimension | mDimension
ETextureFormat | mFormat
bool | mBorder
bool | mHasMipmaps

## Detailed Description

The SetupParams function wraps all the parameters neede to crate a Texture.

A SetupParams object is automatically bound to a Texture after calling setupTexture2D() and similar functions. Once the SetupParams are bound to a Texture calling Texture::createTexture() will create a new Texture according to what specified in the SetupParams objects. After Texture::createTexture() the SetupParams object is removed.

## Constructor & Destructor Documentation

vl::Texture::SetupParams::SetupParams | ( |  | ) | `[inline]`

## Member Function Documentation

const String& vl::Texture::SetupParams::imagePath | ( |  | ) | const`[inline]`

Image* vl::Texture::SetupParams::image | ( |  | ) | const`[inline]`

ETextureDimension vl::Texture::SetupParams::dimension | ( |  | ) | const`[inline]`

ETextureFormat vl::Texture::SetupParams::format | ( |  | ) | const`[inline]`

bool vl::Texture::SetupParams::border | ( |  | ) | const`[inline]`

bool vl::Texture::SetupParams::hasMipmaps | ( |  | ) | const`[inline]`

void vl::Texture::SetupParams::setImagePath | ( | const String & | path | ) | `[inline]`

void vl::Texture::SetupParams::setImage | ( | Image * | image | ) | `[inline]`

void vl::Texture::SetupParams::setDimension | ( | ETextureDimension | dimension | ) | `[inline]`

void vl::Texture::SetupParams::setFormat | ( | ETextureFormat | format | ) | `[inline]`

void vl::Texture::SetupParams::setBorder | ( | bool | on | ) | `[inline]`

void vl::Texture::SetupParams::setHasMipmaps | ( | bool | on | ) | `[inline]`

## Member Data Documentation

String vl::Texture::SetupParams::mImagePath`[protected]`

ref<Image> vl::Texture::SetupParams::mImage`[protected]`

ETextureDimension vl::Texture::SetupParams::mDimension`[protected]`

ETextureFormat vl::Texture::SetupParams::mFormat`[protected]`

bool vl::Texture::SetupParams::mBorder`[protected]`

bool vl::Texture::SetupParams::mHasMipmaps`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Texture.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:43 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.